Subject: Re: [X2Go-Dev] nxagent aborts session with 'Could not open default font 'fixed''

From: Mihai Moldovan <[email-masked]>
Date: Sat, 06 Jun 2015 16:12:23 +0200

On 05.06.2015 04:24 AM, devsk wrote:
> Yes, I have looked at all of session.log. I am cutting and pasting it here, in case I missed something:
> [...]
> Error: Aborting session with 'Could not open default font 'fixed''.

I find something odd about this error message.

It doesn't seem to be coming from nx-libs.

Note how the code in nx-libs spells "could" in lowercase, but the message spells
it with a capital letter.

I'm using nx-libs without any problems on a system having =x11-libs/libXfont-1.5.1.

Please try to make sure that the following packages are all installed (and
correctly installed! If in doubt, reinstall):

media-fonts/font-alias
media-fonts/font-arabic-misc
media-fonts/font-cursor-misc
media-fonts/font-daewoo-misc
media-fonts/font-dec-misc
media-fonts/font-isas-misc
media-fonts/font-jis-misc
media-fonts/font-micro-misc
media-fonts/font-misc-misc
media-fonts/font-mutt-misc
media-fonts/font-schumacher-misc
media-fonts/font-sony-misc
media-fonts/font-sun-misc

Next thing to consider is your DPI. Do you use any "weird" DPI value? I don't
think that's it either, but try setting it to 75 or 95 for testing purposes.

How proficient are you with debugging? Or is there any way to allow access to
one affected machine? I'd like to get a gdb backtrace of the moment the
FatalError() function triggers, to see which library or part *really* is
responsible for that message. This will also involve building nx-libs with debug
symbols, of course.

Mihai